Announcements in Forum : Q & A with engineer Phill Brown

2 Weeks Ago
14th August 2014 until 14th September 2014
Gearslutz.com Internet Explorer compatibility update

Good news for Internet Explorer fans!

We've been fiddling under the hood and the modern GS responsive "skins" should now be fully compatible with IE8 and newer. At the moment, we do not support IE7 (or earlier) so we recommend either upgrading or using a different browser if you are still on a very old version.

As we have just rolled out the fixes there could be bugs - please let us know in the Forum Issues & Suggestions sub forum if you run into anything strange.

Thanks for your patience!

 
Forum Jump
 
Register FAQ Search Today's Posts Mark Forums Read

SEO by vBSEO ©2011, Crawlability, Inc.